/*NEW.H */



#define  OK   1
#define  FIM -1

typedef struct
{
  unsigned char  identifier,
                 version,
                 encoding,
                 bits_per_pixel;

  int            xmin, ymin,
                 xmax, ymax;

  int            h_res, v_res;

  unsigned char  palette[48],
                 reserved,
                 colour_planes;

  int            bytes_per_line,
                 palette_info;

  char           trash[58];

} T_header;


typedef struct
{
  unsigned char  red,
                 green,
                 blue;

} T_palette;

typedef struct vgatable
{
T_palette cor[256];
}vgatable;





/* variaveis globais */

int    tam_x, tam_y;    /* tamanho da imagem atual em pixels */
int    histogram [256]; /* armazena cores*/
T_header  header;

/* headers */

extern int far Svga256_fdriver[];
int huge ResolucaoVideo (void);
void InicializaGrafico (void);
char MostraConjuntoPixels (int n, unsigned char cor,int max_x, int max_y);
void MudaPalette (T_palette *palette);
void MostraImagem (FILE *arq);
void barplot (T_header);
int getmax (int *,int);
void Som (void);
void Fim (void);




